---
search:
  tags:
    - console-backup
    - GET
seo:
  description: >-
    List the targets of the console backups. Reference for the GET
    /api/v1/console-backup/targets endpoint in the TimescaleDB Enterprise API.
sidebar:
  label: List backup targets
  badge: GET
title: List backup targets
type: openapi-operation
---
List the targets of the console backups.

`GET /api/v1/console-backup/targets`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "targets": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "id": "string",
      "kind": "local",
      "name": "string",
      "secrets_set": true,
      "settings": {
        "s3": {
          "bucket": "string",
          "ca_bundle": "string",
          "endpoint": "string",
          "path_style": true,
          "prefix": "string",
          "region": "string"
        }
      },
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ]
}
```
